package com.chenyang.nse.bussiness.entity.orm.table.core.scopeproject;

import com.chenyang.nse.bussiness.entity.orm.table.TProEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_PRO_ATTRIBUTE_GROUP"
)
public class TProAttributeGroup extends TProEntity {
   @Column(
      length = 100
   )
   private String group_id;
   @Column(
      length = 20
   )
   private String columnnum;
   @Column(
      length = 50
   )
   private String columnname;
   @Column(
      length = 1000
   )
   private String columnvalue;

   public String getGroup_id() {
      return this.group_id;
   }

   public void setGroup_id(String group_id) {
      this.group_id = group_id;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getColumnvalue() {
      return this.columnvalue;
   }

   public void setColumnvalue(String columnvalue) {
      this.columnvalue = columnvalue;
   }

   public String getColumnnum() {
      return this.columnnum;
   }

   public void setColumnnum(String columnnum) {
      this.columnnum = columnnum;
   }
}
